Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class PageRenderRequestHandlerImpl

    java.lang.Object
      org.apache.tapestry5.internal.services.PageRenderRequestHandlerImpl

All Implemented Interfaces:
  PageRenderRequestHandler

    public class PageRenderRequestHandlerImpl

extends java.lang.Object
implements PageRenderRequestHandler

Handles a page render request by activating and then rendering the page.

See Also:
  `PageRenderDispatcher`

Constructor Summary
`PageRenderRequestHandlerImpl(RequestPageCache cache, ComponentEventResultProcessor resultProcessor, PageResponseRenderer pageResponseRenderer, PageActivator pageActivator)`

Method Summary
`void` | `handle(PageRenderRequestParameters parameters)` Invoked to activate and render a page.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageRenderRequestHandlerImpl

    public PageRenderRequestHandlerImpl(RequestPageCache cache,
                                        @Traditional@Primary
                                        ComponentEventResultProcessor resultProcessor,
                                        PageResponseRenderer pageResponseRenderer,
                                        PageActivator pageActivator)

Method Detail

### handle

    public void handle(PageRenderRequestParameters parameters)
                throws java.io.IOException

  Description copied from interface: `PageRenderRequestHandler`
  Invoked to activate and render a page. In certain cases, based on values returned when activating the page, a `ComponentEventResultProcessor` may be used to send an alternate response (typically, a redirect).

  Specified by:
    `handle` in interface `PageRenderRequestHandler`
  Parameters:
    `parameters` - defines the page name and activation context
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.